Classes | Namespaces | Typedefs
Cgicc.h File Reference

The main header file for the GNU cgicc library. More...

`#include <vector>`
`#include <string>`
`#include "CgiDefs.h"`
`#include "FormEntry.h"`
`#include "FormFile.h"`
`#include "CgiInput.h"`
`#include "CgiEnvironment.h"`

Go to the source code of this file.

## Classes
class | cgicc::Cgicc
| The main class of the GNU cgicc library. More...

## Namespaces
namespace | cgicc
| The namespace containing the cgicc library.

## Typedefs
typedef std::vector< FormEntry >::iterator | cgicc::form_iterator
| A vector of FormEntry objects. More...
typedef std::vector< FormEntry >::const_iterator | cgicc::const_form_iterator
| A vector of `const` FormEntry objects. More...
typedef std::vector< FormFile >::iterator | cgicc::file_iterator
| A vector of FormFile objects. More...
typedef std::vector< FormFile >::const_iterator | cgicc::const_file_iterator
| A vector of `const` FormFile objects. More...

## Detailed Description

The main header file for the GNU cgicc library.

Definition in file Cgicc.h.